Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.parser
Class CSSSelectorList

    java.lang.Object
      org.apache.batik.css.parser.CSSSelectorList

All Implemented Interfaces:
  org.w3c.css.sac.SelectorList

    public class CSSSelectorList

extends Object
implements org.w3c.css.sac.SelectorList

This class implements the `SelectorList` interface.

Field Summary
`protected int` | `length` The list length.
`protected org.w3c.css.sac.Selector[]` | `list` The list.

Constructor Summary
`CSSSelectorList()`

Method Summary
`void` | `append(org.w3c.css.sac.Selector item)` Appends an item to the list.
`int` | `getLength()` SAC: Returns the length of this selector list
`org.w3c.css.sac.Selector` | `item(int index)` SAC: Returns the selector at the specified index, or `null` if this is not a valid index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    protected org.w3c.css.sac.Selector[] list

  The list.

### length

    protected int length

  The list length.

Constructor Detail

### CSSSelectorList

    public CSSSelectorList()

Method Detail

### getLength

    public int getLength()

  SAC: Returns the length of this selector list

  Specified by:
    `getLength` in interface `org.w3c.css.sac.SelectorList`

### item

    public org.w3c.css.sac.Selector item(int index)

  SAC: Returns the selector at the specified index, or `null` if this is not a valid index.

  Specified by:
    `item` in interface `org.w3c.css.sac.SelectorList`

### append

    public void append(org.w3c.css.sac.Selector item)

  Appends an item to the list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.